Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Class CPNPattern

    java.lang.Object
      org.encog.neural.pattern.CPNPattern

All Implemented Interfaces:
  NeuralNetworkPattern

    public class CPNPattern

extends Object
implements NeuralNetworkPattern

Pattern that creates a CPN neural network.

Field Summary
`static String` | `TAG_INSTAR` The tag for the INSTAR layer.
`static String` | `TAG_OUTSTAR` The tag for the OUTSTAR layer.

Constructor Summary
`CPNPattern()`

Method Summary
`void` | `addHiddenLayer(int count)` Not used, will throw an error.
`void` | `clear()` Clear any parameters that were set.
`MLMethod` | `generate()` Generate the network.
`void` | `setActivationFunction(ActivationFunction activation)` This method will throw an error.
`void` | `setInputNeurons(int count)` Set the number of input neurons.
`void` | `setInstarCount(int instarCount)` Set the number of neurons in the instar layer.
`void` | `setOutputNeurons(int count)` Set the number of output neurons.
`void` | `setOutstarCount(int outstarCount)` Set the number of neurons in the outstar level, this level is mapped to the "output" level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_INSTAR

    public static final String TAG_INSTAR

  The tag for the INSTAR layer.

  See Also:
    Constant Field Values

### TAG_OUTSTAR

    public static final String TAG_OUTSTAR

  The tag for the OUTSTAR layer.

  See Also:
    Constant Field Values

Constructor Detail

### CPNPattern

    public CPNPattern()

Method Detail

### addHiddenLayer

    public final void addHiddenLayer(int count)

  Not used, will throw an error. CPN networks already have a predefined hidden layer called the instar layer.

  Specified by:
    `addHiddenLayer` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - NOT USED

### clear

    public final void clear()

  Clear any parameters that were set.

  Specified by:
    `clear` in interface `NeuralNetworkPattern`

### generate

    public final MLMethod generate()

  Generate the network.

  Specified by:
    `generate` in interface `NeuralNetworkPattern`
  Returns:
    The generated network.

### setActivationFunction

    public final void setActivationFunction(ActivationFunction activation)

  This method will throw an error. The CPN network uses predefined activation functions.

  Specified by:
    `setActivationFunction` in interface `NeuralNetworkPattern`
  Parameters:
    `activation` - NOT USED

### setInputNeurons

    public final void setInputNeurons(int count)

  Set the number of input neurons.

  Specified by:
    `setInputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The input neuron count.

### setInstarCount

    public final void setInstarCount(int instarCount)

  Set the number of neurons in the instar layer. This level is essentially a hidden layer.

  Parameters:
    `instarCount` - The instar count.

### setOutputNeurons

    public final void setOutputNeurons(int count)

  Set the number of output neurons. Calling this method maps to setting the number of neurons in the outstar layer.

  Specified by:
    `setOutputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The count.

### setOutstarCount

    public final void setOutstarCount(int outstarCount)

  Set the number of neurons in the outstar level, this level is mapped to the "output" level.

  Parameters:
    `outstarCount` - The outstar count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.